From 6481476cc93678d2deaee7e30933f6f43126e2c8 Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Thu, 18 Jul 2019 16:53:13 +0200
Subject: [PATCH 14/14] strace: update to 5.2.

---
 srcpkgs/strace/template | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/strace/template b/srcpkgs/strace/template
index df22e5cd368..c6a7219bc69 100644
--- a/srcpkgs/strace/template
+++ b/srcpkgs/strace/template
@@ -1,6 +1,6 @@
 # Template file for 'strace'
 pkgname=strace
-version=5.1
+version=5.2
 revision=1
 build_style=gnu-configure
 configure_args="--with-libunwind"
@@ -10,21 +10,25 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://strace.io/"
 distfiles="https://github.com/strace/strace/releases/download/v${version}/strace-${version}.tar.xz"
-checksum=f5a341b97d7da88ee3760626872a4899bf23cf8dee56901f114be5b1837a9a8b
+checksum=d513bc085609a9afd64faf2ce71deb95b96faf46cd7bc86048bc655e4e4c24d2
 
 case "$XBPS_TARGET_MACHINE" in
 	aarch64-musl) configure_args=; makedepends= ;;
+	riscv*) configure_args=; makedepends= ;;
 esac
 
 case "$XBPS_TARGET_MACHINE" in
-	aarch64*|ppc64*) configure_args+=" --enable-mpers=no"
+	aarch64*|ppc64*|riscv64*) configure_args+=" --enable-mpers=no"
 esac
 
 pre_configure() {
 	sed -i -e 's/include <linux\/socket.h>/include <sys\/socket.h>/g' configure
 	sed -i -e 's/include <sgidefs.h>/include <asm\/sgidefs.h>/g' configure
 	case "$XBPS_TARGET_MACHINE" in
-		*-musl) export CFLAGS+=" -Dsigcontext_struct=sigcontext";;
+	*-musl)
+		sed -i -e '/include <linux\/ptrace.h>/d' ptrace.h
+		export CFLAGS+=" -Dsigcontext_struct=sigcontext"
+		;;
 	esac
 }
 post_install() {
